// Shader by TRXDev
// EVO Shader V1.3

/*this must be 1 (default), a bit buggy but really save performance, 
otherwise, set it to 0
FAST_CLOUD_SHADOW 1 : ENABLE (default)
FAST_CLOUD_SHADOW 0 : DISABLE
*/
#define FAST_CLOUD_SHADOW 1

/* cloud shadow on land, better performance if disable
automatically disable fast cloud shadow if disabled 
CLOUD_SHADOW 1 : ENABLE (default)
CLOUD_SHADOW 0 : DISABLE
*/
#define CLOUD_SHADOW 1

/* a wavy shadow for leaves, better performance when disable
LEAVES_WAVY_SHADOW 1 : ENABLE (default)
LEAVES_WAVY_SHADOW 0 : DISABLE
*/
#define LEAVES_WAVY_SHADOW 1

/* realistic fbm cloud, optimized enough
if disable, only fancy sky will enable
REALISTIC_CLOUD 1 : ENABLE (default)
REALISTIC_CLOUD 0 : DISABLE
*/
#define REALISTIC_CLOUD 1

/*performance heavy, not recommend to enable unless you have great device
WATER_RIPPLE 0 : DISABLE
WATER_RIPPLE 1 : ENABLE
*/
#define WATER_RIPPLE 0

/* Water Settings :
WATER_WAVY 1 : sky + cloud reflection with enchanted water wavy (super slow)
WATER_WAVY 2 : sky reflection with enchanted water wavy (very slow)
WATER_WAVY 3 : sky + cloud reflection only (slow), this is default standart
WATER_WAVY 4 : only sky_color reflection (optimized)
WATER_WAVY 5 : set only color as water (very fast)
*/
#define WATER_WAVY 3

/* sun light glow, optimized enough
SUN_AMBIENCE 1 : ENABLE (default)
SUN_AMBIENCE 0 : DISABLE 
*/
#define SUN_AMBIENCE 1

/* underwater caustics effect, optimized enough
UNDERWATER_CAUSTIC 1 : ENABLE (default)
UNDERWATER_CAUSTIC 0 : DISABLE
*/
#define UNDERWATER_CAUSTIC 1

/* a shadow. set to 0 if you just like the shader without shadow,
greatly increase performance if disable, but why. . .
SHADOW 1 : ENABLE (default)
SHADOW 0 : DISABLE
*/
#define SHADOW 1

/* a lighting. set to 0 if you just like the shader without lighting,
greatly increase performance if disable, this will make world a bit dark
if you enable shadow, this also disable torch color, (not recommend to disable)
LIGHTING 1 : ENABLE (default)
LIGHTING 0 : DISABLE
*/
#define LIGHTING 1

/* default is 1, performance tweak (experimental)
PERFORMANCE_MODE 0 : shader will lose accuracy on cloud, water, and shadow, high performance
PERFORMANCE_MODE 1 : standart, lose bit of accuracy, moderate performance
PERFORMANCE_MODE 2 : super accurate, really performance heavy (not recommend to enable)
*/
#define PERFORMANCE_MODE 1

/* default is 1, this will make shader not become blurry if you play in long time
or restart mcpe without kill task, almost like PERFORMANCE_MODE but this is
apply to specific task like cloud, shadow, etc.
ACCURACY 1 : high accuracy, moderate performance
ACCURACY 0 : low accuracy, fast performance
*/
#define ACCURACY 0

/* entity/mob lighting, very fast performance, except with many entity (maybe)
ENTITY_LIGHTING 1 : ENABLE (default)
ENTITY_LIGHTING 0 : DISABLE
*/
#define ENTITY_LIGHTING 1

/* wavy for grass and leaves, optimized enough, set 0 to disable */
#define WAVY 1

